1. User
Nifteem
  • Dispatch Messages
    • Request a message dispatch
      POST
    • Dispatch messages info
      GET
    • Cancel a message dispatch
      DELETE
  • Manage templates
    • Get all templates
      GET
  • User
    • User Information
      GET
  • Webhook for message status updates
  • Webhook for incoming message notification
  • Schemas
    • Channel
    • DispatchLogStatus
    • WebhookOutDispatchStatusPayload
    • WebhookOutEvent
    • WebhookOutModule
    • InMessageType
    • WebhookOutIncomingMessageDetailContactPayload
    • WebhookOutIncomingMessagePayload
    • WebhookOutIncomingMessageDetailPayload
    • ChannelIdentifierType
    • DispatchApiRequest
    • DispatchApiRequestChannelRcs
    • DispatchApiRequestChannelSms
    • DispatchApiRequestCarouselCard
    • DispatchApiRequestChannelWhatsapp
    • DispatchApiRequestChannelTelegram
    • DispatchApiRequestMessageContentDocument
    • DispatchApiRequestChannels
    • DispatchApiRequestMessageContentImage
    • DispatchApiRequestContent
    • DispatchApiRequestMessageContentText
    • DispatchApiRequestCta
    • DispatchApiRequestCtaType
    • DispatchApiRequestMessageContentVideo
    • DispatchApiRequestMessage
    • DispatchApiRequestMessageTemplate
    • DispatchApiRequestRecipient
    • DispatchApiRequestMessageContentCarousel
    • DispatchApiRequestTranslation
    • SmsEncodingType
    • TemplateApi
    • DispatchApi
    • DispatchApiMessage
    • DispatchApiRequestRecipientIdentifier
    • DispatchApiMessageStatus
    • Template
  1. User

User Information

GET
/v1/api/user
Returns the main information of the authenticated user along with senders configurations (SMS, RCS, and WhatsApp)

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/v1/api/user' \
--header 'X-API-Key: <api-key>'
Response Response Example
200 - Success
{
    "id": "0FAMV3SY611FS",
    "company": "My Company Srl",
    "email": "mycompany@ag5dksgh367rfgsol2.com",
    "language": "it",
    "timezone": "Europe/Rome",
    "rcsSenders": [
        {
            "id": "0FCB1SJSVEHKZ",
            "agentName": "Agent Default"
        }
    ],
    "smsSenders": [
        {
            "id": "0FAPP18XJHDZR",
            "type": "ALPHA",
            "sender": "MyCompany"
        }
    ],
    "whatsappSenders": [
        {
            "id": "0F9EEPBNGGDP9",
            "displayPhoneNumber": "+390000000000",
            "verifiedName": "My Company"
        }
    ],
    "telegramSenders": [
        {
            "id": "0FDQK1V8Z9K3X",
            "botName": "My Company Bot"
        }
    ]
}
Modified at 2026-08-11 10:19:42
Previous
Get all templates
Next
Webhook for message status updates
Built with